Package org.eclipse.rdf4j.query.algebra.evaluation.impl.evaluationsteps

## Class SliceQueryEvaluationStep.OffSetAndLimitQueryEvaluationStep

- java.lang.Object
- - org.eclipse.rdf4j.query.algebra.evaluation.impl.evaluationsteps.SliceQueryEvaluationStep.OffSetAndLimitQueryEvaluationStep

- All Implemented Interfaces:
    `SliceQueryEvaluationStep`, `QueryEvaluationStep`
  Enclosing interface:
    SliceQueryEvaluationStep

      public static class SliceQueryEvaluationStep.OffSetAndLimitQueryEvaluationStep
      extends Object
      implements SliceQueryEvaluationStep

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.eclipse.rdf4j.query.algebra.evaluation.QueryEvaluationStep

      `QueryEvaluationStep.DelayedEvaluationIteration`

    - ### Nested classes/interfaces inherited from interface org.eclipse.rdf4j.query.algebra.evaluation.impl.evaluationsteps.SliceQueryEvaluationStep

      `SliceQueryEvaluationStep.OffSetAndLimitQueryEvaluationStep, SliceQueryEvaluationStep.OnlyLimitQueryEvaluationStep, SliceQueryEvaluationStep.OnlyOffsetQueryEvaluationStep`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `OffSetAndLimitQueryEvaluationStep​(long offset, long limit, QueryEvaluationStep argument)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `CloseableIteration<BindingSet,​QueryEvaluationException>` | `evaluate​(BindingSet bs)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### OffSetAndLimitQueryEvaluationStep

          public OffSetAndLimitQueryEvaluationStep​(long offset,
                                                   long limit,
                                                   QueryEvaluationStep argument)

  - ### Method Detail

    - #### evaluate

          public CloseableIteration<BindingSet,​QueryEvaluationException> evaluate​(BindingSet bs)

      Specified by:
        `evaluate` in interface `QueryEvaluationStep`